Thêm đăng ký nhận cảnh báo điện thoại
curl --request POST \
--url https://api.fireant.vn/me/mobile-alerts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"priceAbove": 123,
"priceBelow": 123,
"volumeAbove": 123,
"new52WeekHigh": true,
"new52WeekLow": true,
"aboveMA5": true,
"aboveMA10": true,
"aboveMA20": true,
"belowMA5": true,
"belowMA10": true,
"belowMA20": true
}
'import requests
url = "https://api.fireant.vn/me/mobile-alerts"
payload = {
"symbol": "<string>",
"priceAbove": 123,
"priceBelow": 123,
"volumeAbove": 123,
"new52WeekHigh": True,
"new52WeekLow": True,
"aboveMA5": True,
"aboveMA10": True,
"aboveMA20": True,
"belowMA5": True,
"belowMA10": True,
"belowMA20": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
symbol: '<string>',
priceAbove: 123,
priceBelow: 123,
volumeAbove: 123,
new52WeekHigh: true,
new52WeekLow: true,
aboveMA5: true,
aboveMA10: true,
aboveMA20: true,
belowMA5: true,
belowMA10: true,
belowMA20: true
})
};
fetch('https://api.fireant.vn/me/mobile-alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/me/mobile-alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'symbol' => '<string>',
'priceAbove' => 123,
'priceBelow' => 123,
'volumeAbove' => 123,
'new52WeekHigh' => true,
'new52WeekLow' => true,
'aboveMA5' => true,
'aboveMA10' => true,
'aboveMA20' => true,
'belowMA5' => true,
'belowMA10' => true,
'belowMA20' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/me/mobile-alerts"
payload := strings.NewReader("{\n \"symbol\": \"<string>\",\n \"priceAbove\": 123,\n \"priceBelow\": 123,\n \"volumeAbove\": 123,\n \"new52WeekHigh\": true,\n \"new52WeekLow\": true,\n \"aboveMA5\": true,\n \"aboveMA10\": true,\n \"aboveMA20\": true,\n \"belowMA5\": true,\n \"belowMA10\": true,\n \"belowMA20\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fireant.vn/me/mobile-alerts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"symbol\": \"<string>\",\n \"priceAbove\": 123,\n \"priceBelow\": 123,\n \"volumeAbove\": 123,\n \"new52WeekHigh\": true,\n \"new52WeekLow\": true,\n \"aboveMA5\": true,\n \"aboveMA10\": true,\n \"aboveMA20\": true,\n \"belowMA5\": true,\n \"belowMA10\": true,\n \"belowMA20\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/me/mobile-alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"symbol\": \"<string>\",\n \"priceAbove\": 123,\n \"priceBelow\": 123,\n \"volumeAbove\": 123,\n \"new52WeekHigh\": true,\n \"new52WeekLow\": true,\n \"aboveMA5\": true,\n \"aboveMA10\": true,\n \"aboveMA20\": true,\n \"belowMA5\": true,\n \"belowMA10\": true,\n \"belowMA20\": true\n}"
response = http.request(request)
puts response.read_body{
"symbol": "<string>",
"priceAbove": 123,
"priceBelow": 123,
"volumeAbove": 123,
"new52WeekHigh": true,
"new52WeekLow": true,
"aboveMA5": true,
"aboveMA10": true,
"aboveMA20": true,
"belowMA5": true,
"belowMA10": true,
"belowMA20": true
}Me
Thêm đăng ký nhận cảnh báo điện thoại
POST
/
me
/
mobile-alerts
Thêm đăng ký nhận cảnh báo điện thoại
curl --request POST \
--url https://api.fireant.vn/me/mobile-alerts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"priceAbove": 123,
"priceBelow": 123,
"volumeAbove": 123,
"new52WeekHigh": true,
"new52WeekLow": true,
"aboveMA5": true,
"aboveMA10": true,
"aboveMA20": true,
"belowMA5": true,
"belowMA10": true,
"belowMA20": true
}
'import requests
url = "https://api.fireant.vn/me/mobile-alerts"
payload = {
"symbol": "<string>",
"priceAbove": 123,
"priceBelow": 123,
"volumeAbove": 123,
"new52WeekHigh": True,
"new52WeekLow": True,
"aboveMA5": True,
"aboveMA10": True,
"aboveMA20": True,
"belowMA5": True,
"belowMA10": True,
"belowMA20": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
symbol: '<string>',
priceAbove: 123,
priceBelow: 123,
volumeAbove: 123,
new52WeekHigh: true,
new52WeekLow: true,
aboveMA5: true,
aboveMA10: true,
aboveMA20: true,
belowMA5: true,
belowMA10: true,
belowMA20: true
})
};
fetch('https://api.fireant.vn/me/mobile-alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/me/mobile-alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'symbol' => '<string>',
'priceAbove' => 123,
'priceBelow' => 123,
'volumeAbove' => 123,
'new52WeekHigh' => true,
'new52WeekLow' => true,
'aboveMA5' => true,
'aboveMA10' => true,
'aboveMA20' => true,
'belowMA5' => true,
'belowMA10' => true,
'belowMA20' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/me/mobile-alerts"
payload := strings.NewReader("{\n \"symbol\": \"<string>\",\n \"priceAbove\": 123,\n \"priceBelow\": 123,\n \"volumeAbove\": 123,\n \"new52WeekHigh\": true,\n \"new52WeekLow\": true,\n \"aboveMA5\": true,\n \"aboveMA10\": true,\n \"aboveMA20\": true,\n \"belowMA5\": true,\n \"belowMA10\": true,\n \"belowMA20\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fireant.vn/me/mobile-alerts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"symbol\": \"<string>\",\n \"priceAbove\": 123,\n \"priceBelow\": 123,\n \"volumeAbove\": 123,\n \"new52WeekHigh\": true,\n \"new52WeekLow\": true,\n \"aboveMA5\": true,\n \"aboveMA10\": true,\n \"aboveMA20\": true,\n \"belowMA5\": true,\n \"belowMA10\": true,\n \"belowMA20\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/me/mobile-alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"symbol\": \"<string>\",\n \"priceAbove\": 123,\n \"priceBelow\": 123,\n \"volumeAbove\": 123,\n \"new52WeekHigh\": true,\n \"new52WeekLow\": true,\n \"aboveMA5\": true,\n \"aboveMA10\": true,\n \"aboveMA20\": true,\n \"belowMA5\": true,\n \"belowMA10\": true,\n \"belowMA20\": true\n}"
response = http.request(request)
puts response.read_body{
"symbol": "<string>",
"priceAbove": 123,
"priceBelow": 123,
"volumeAbove": 123,
"new52WeekHigh": true,
"new52WeekLow": true,
"aboveMA5": true,
"aboveMA10": true,
"aboveMA20": true,
"belowMA5": true,
"belowMA10": true,
"belowMA20": true
}Ủy quyền
OAuth2 Implicit Grant
Nội dung
application/jsontext/json
Thông tin đăng ký nhận cảnh báo